import React, { FunctionComponent, memo } from 'react';
import { useDispatch } from 'react-redux';
import GreenSwitch from 'components/Switch/GreenSwitch';

type Props = {
  status: boolean;
  id: string;
  api: (value: any) => void;
  fieldKey: string;
};

const ToggleEditableCell: FunctionComponent<Props> = (props) => {
  const dispatch = useDispatch();
  const { status, id, api, fieldKey } = props;

  const toggle = () => {
    dispatch(
      api({
        id,
        [fieldKey]: !status,
      })
    );
  };
  return (
    <GreenSwitch
      checked={!!status}
      onChange={toggle}
      size="small"
      color="primary"
    />
  );
};

export default memo(ToggleEditableCell);
