import qs from 'qs';
import get from 'lodash/get';

export const getRouterQueries = (url: string) =>
  qs.parse(url, { ignoreQueryPrefix: true });

export const getPage = (url: string) => {
  const page = new URLSearchParams(url).get('page') || '';
  return parseInt(page);
};

export const getPageSize = (url: string) => {
  const page = new URLSearchParams(url).get('per_page') || '';
  return parseInt(page);
};

export const getFilters = (url: string) => {
  const filters = get(getRouterQueries(url), 'filter') as Record<string, any>;
  return filters
    ? Object.keys(filters).map((key) => ({ id: key, value: filters[key] }))
    : [];
};
